UrlCompressor
KDE4 Extensions
Score 66%
Description:

A plasmoid that compresses a long URL into a short URL using is.gd service. It's more convenient for posting in services like Identi.ca, Twitter, FriendFeed, Plurk, Facebook and Jaiku where you are limited on the number of characters.

Usage: Enter the long URL & press shorten button.
After successfull compression the short link is copied to clipboard.

Requirements: python-plasma, pycurl, pykde4, pyqt4

Install: plasmapkg -i 101695-urlcompressor.plasmoid
Last changelog:

8 years ago

0.2
- Link in notification

coolas

6 years ago

I have a bug with your app:

Traceback (most recent call last):
...
UnicodeEncodeError: 'ascii' codec can't encode character u'\xe9' in position 12: ordinal not in range(128)

how do you fix please?

Report

brucew

7 years ago

Under Linux kernel 2.6.28-15 Kubuntu 9.04 KDE 4.3.1, this plasmoid does not initialize. I have tried and installed all solutions from this and other discussion threads to no avail.

Still returns error message "script initialization failed".

Seems that there is a permissions/UID issue.

If I try to install it by CLI, the result is:

<quote>
~/$ sudo plasmapkg -i 101695-urlcompressor.plasmoid
Error: "/var/tmp/kdecache-brucewIE2q28" is owned by uid 1000 instead of uid 0.
Error: "/tmp/kde-brucew" is owned by uid 1000 instead of uid 0.
Error: "/tmp/kde-brucew" is owned by uid 1000 instead of uid 0.
Error: "/tmp/ksocket-brucew" is owned by uid 1000 instead of uid 0.
kdeinit4: Shutting down running client.
kdeinit4: preparing to launch /usr/lib/libkdeinit4_klauncher.so
Error: "/tmp/ksocket-brucew" is owned by uid 1000 instead of uid 0.
Error: "/tmp/kde-brucew" is owned by uid 1000 instead of uid 0.
kdeinit4: preparing to launch /usr/lib/libkdeinit4_kded4.so
Error: "/var/tmp/kdecache-brucewIE2q28" is owned by uid 1000 instead of uid 0.
Error: "/tmp/kde-brucew" is owned by uid 1000 instead of uid 0.
kdeinit4: preparing to launch /usr/lib/libkdeinit4_kbuildsycoca4.so
kbuildsycoca4 running...
Error: "/var/tmp/kdecache-brucewIE2q28" is owned by uid 1000 instead of uid 0.
kdeinit4: preparing to launch /usr/lib/libkdeinit4_kbuildsycoca4.so
kbuildsycoca4 running...
Error: "/var/tmp/kdecache-brucewIE2q28" is owned by uid 1000 instead of uid 0.
Error: "/var/tmp/kdecache-brucewIE2q28" is owned by uid 1000 instead of uid 0.
kdeinit4: preparing to launch /usr/lib/libkdeinit4_kconf_update.so
Installation of /home/brucew/Downloads/Linux/Kubuntu/KDE/plasmoid/101695-urlcompressor.plasmoid failed.
</quote>

Report

SteveMcQwark

8 years ago

I can't seem to install it. I keep getting "Installing the package /home/*****/Downloads/101695-urlcompressor.plasmoid failed." I have KDE 4.2 running on Qt 4.4 in Kubuntu 8.10

Report

nxbalazs

8 years ago

try $ plasmapkg -i 101695-urlcompressor.plasmoid

Report

Kirilo

8 years ago

This is the annoying bug in Gethotnewstuff again, right?

1. The plasmoid should appear in the list anyhow, so no problem, if you can use it.

2. If you can't use it (big red X), uninstall it in GHNS, install python-devel and check if you have the other packages installed.

3. Install the script again. The error message will remain, but it should work.

Report

SteveMcQwark

8 years ago

No, I was trying, unsuccessfully, to install the source from the plasmagik package. Installing from GHNS worked, though it did still give me an error.

Report

SteveMcQwark

8 years ago

Thank you! very handy :)

Report

8 years ago

0.2
- Link in notification

File (click to download) Version Description Filetype Packagetype License Downloads Date Filesize OCS-Install DL
Details
version
0.2
updated Mar 29 2009
added Mar 26 2009
downloads today
0
page views today 0